import com.underworld.crimeportal.OrganizationEndpoint;

import javax.xml.namespace.QName;
import javax.xml.rpc.Service;
import javax.xml.rpc.ServiceFactory;
import java.net.URL;

public class Main {
    public static void main(String[] args) throws Exception
    {
        if (args.length != 1)
        {
            usage();
            return;
        }

        Main client = new Main();
        client.callWebservice(args[0]);
    }

    private void callWebservice(String arg) throws Exception
    {
        URL url = new URL("http://sithlord:8080/ejb3webservices/Organization?wsdl");
        QName serviceName = new QName("http://com.underworld.crimeportal", "OrganizationService");

        ServiceFactory factory = ServiceFactory.newInstance();
        Service service = factory.createService(url, serviceName);

        OrganizationEndpoint endpoint = (OrganizationEndpoint) service.getPort(OrganizationEndpoint.class);
        System.out.println("Result: " + endpoint.getContactInfo(arg));
    }

    private static void usage()
    {
        System.out.println("+-------------------------------------------------------+");
        System.out.println("| Usage:  java -jar client.jar <argument-to-webservice> |");
        System.out.println("+-------------------------------------------------------+");
    }
}
