package com.underworld.crimeportal.ejb;

import com.underworld.crimeportal.ejb3.OrganizationLocal;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import java.rmi.RemoteException;

/**
 * This class' only purpose is to be exposed as a webservice and then
 * proxy the method call to the EJB3 bean.
 */
public class OrganizationSLSB implements SessionBean
{
    public String getContactInfo(String organization) throws RemoteException
    {
        try
        {
            // simply pass through to the EJB3 bean
            return getOrganization().getContactInfo(organization);
        }
        catch (NamingException e)
        {
            throw new RemoteException(e.getMessage());
        }
    }

    /**
     * It'll be great when we can dependency inject the bean  :)
     */
    private OrganizationLocal getOrganization() throws NamingException {
        return (OrganizationLocal)new InitialContext().lookup(OrganizationLocal.class.getName());
    }

    public void setSessionContext(SessionContext sessionContext) throws EJBException {}
    public void ejbRemove() throws EJBException {}
    public void ejbActivate() throws EJBException {}
    public void ejbPassivate() throws EJBException {}
    public void ejbCreate() throws CreateException {}
}
